from setuptools import setup, find_packages

setup(
    name="seele-sdk",
    version="0.1.0",
    packages=find_packages(),
    install_requires=[
        "requests>=2.25.1",
        "pydantic>=2.0.0",
        "typing-extensions>=4.0.0",
        "paho-mqtt>=1.6.1",  # 用于 MQTT 通信
    ],
    author="PineField Inc",
    author_email="zhangzhichao@pinefield.com",
    description="A Python SDK for interacting with Seele Agent services",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/pinefield-inc/seele-sdk",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
    ],
    python_requires=">=3.7",
)
